RENICE(8)

NAME
renice - alter nice value of running processes

SYNOPSIS
/usr/etc/renice priority pid...

/usr/etc/renice priority [ -p pid... ] [ -g pgrp... ] [ -u username... ]

DESCRIPTION
renice alters the scheduling nice value, and hence the priority, of one or more running processes. See nice(1) for a discussion of nice value and process scheduling priority.

OPTIONS
By default, the processes to be affected are specified by their process IDs. priority is the new priority value.

-p pid ...
    Specify a list of process IDs.

-g pgrp ...
    Specify a list of process group IDs. The processes in the specified process groups have their scheduling priority altered.

-u user ...
    Specify a list of user IDs or usernames. All processes owned by each user have their scheduling altered.

Users other than the super-user may only alter the priority of processes they own, and can only monotonically increase their “nice value” within the range 0 to 20. (This prevents overriding administrative fiats.) The super-user may alter the priority of any process and set the priority to any value in the range -20 to 19. Useful nice values are 19 (the affected processes will run only when nothing else in the system wants to), 0 (the default nice value) and any negative value (to make things go faster).

If only the priority is specified, the current process (alternatively, process group or user) is used.

FILES
/etc/passwd
    to map user names to user ID's

SEE ALSO
pstat(8)

BUGS
If you make the nice value very negative, then the process cannot be interrupted.

To regain control you must make the priority greater than zero.

Users other than the super-user cannot increase scheduling priorities of their own processes, even if they were the ones that decreased the priorities in the first place.